package engine.collisionEngine;

import java.awt.geom.Line2D;
import java.awt.geom.Point2D;
import java.util.ArrayList;

public class MeshTriangle {
    public Point2D.Float point1;
    public Point2D.Float point2;
    public Point2D.Float point3;
    public ArrayList<Line2D.Float> sides;

    public boolean collides(Line2D.Float line){
        for(Line2D.Float side : sides)
            if(line.intersectsLine(side))
                return true;

        return false;
    }
}
