package engine.collisionEngine;

import engine.math.Vector3f;

public class MeshData {
    public int propID;
    public int meshID;
    public Vector3f mesh_loc;
    public Vector3f mesh_ref;
    public Vector3f mesh_end;
    public float mesh_maxY;
    public float mesh_minY;

    public MeshData(int propID,int meshID, Vector3f meshLoc, Vector3f meshRef, Vector3f meshEnd, float maxY, float minY){
        this.propID = propID;
        this.meshID = meshID;
        this.mesh_loc = meshLoc;
        this.mesh_ref = meshRef;
        this.mesh_end = meshEnd;
        this.mesh_maxY = maxY;
        this.mesh_minY = minY;
    }
}
